d.text.freetype(1)	      Grass User's Manual	    d.text.freetype(1)



NNAAMMEE
       dd..tteexxtt..ffrreeeettyyppee	- Draws text in the active display frame on the graph-
       ics monitor using TrueType fonts.
       _(_G_R_A_S_S _D_i_s_p_l_a_y _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       dd..tteexxtt..ffrreeeettyyppee
       dd..tteexxtt..ffrreeeettyyppee hheellpp
       dd..tteexxtt..ffrreeeettyyppee [--rrppsscc] [tteexxtt==_n_a_m_e] [eeaasstt__nnoorrtthh==_e_a_s_t_,_n_o_r_t_h] [ffoonntt==_n_a_m_e]
       [ppaatthh==_n_a_m_e]   [cchhaarrsseett==_n_a_m_e]   [ccoolloorr==_n_a_m_e]  [ssiizzee==_v_a_l_u_e]  [aalliiggnn==_n_a_m_e]
       [rroottaattiioonn==_v_a_l_u_e]

DDEESSCCRRIIPPTTIIOONN
       _d_._t_e_x_t_._f_r_e_e_t_y_p_e draws text in the active display frame on the  graphics
       monitor using TrueType fonts.

   FFllaaggss::
       --rr     Radian rotation

       --pp     Pixel coordinates

       --ss     Pixel size

       --cc     Command mode (Compatibility with d.text)


   PPaarraammeetteerrss::
       tteexxtt==_n_a_m_e
	      Text to be displayed.

       eeaasstt__nnoorrtthh==_e_a_s_t_,_n_o_r_t_h
	      Locates  text at this point.  The user can click on the location
	      instead of using this option.

       ffoonntt==_n_a_m_e
	      Specifies a  font  with  a  fontname  in	the  definition  file,
	      freetypecap.

       ppaatthh==_n_a_m_e
	      Specifies a font with full pathname.

       cchhaarrsseett==_n_a_m_e
	      Sets character encoding for input tteexxtt.

       ccoolloorr==_n_a_m_e
	      Sets text color to _n_a_m_e.

	      Options: red, orange, yellow, green, blue, indigo, violet, gray,
	      white, and black

	      Default: _g_r_a_y

	      It can also be a hexadecimal value of 0xRRGGBB.

       ssiizzee==_v_a_l_u_e
	      Sets text height in percent of available frame height.

	      Default: 30

       aalliiggnn==_n_a_m_e
	      Aligns text in this way.

	      Options: ll, lc, lr, cl, cc, cr, ul, uc, ur

	      Default: _l_l

	      l?: Lower, c?: Vertically Centered, u?: Upper,

	      ?l: Left, ?c: Horizontally Centered, ?r: Right

       rroottaattiioonn==_v_a_l_u_e
	      Rotates text counterclockwise.

	      Default: 0

	      The default unit is degree.


   CCoommmmaanndd mmooddee::
       Note

       {REQUIRED}

       [OPTIONAL]

       THIS|orTHAT

       +, -   Relative value

       r, %, p
	      Radian, Percentage, and Pixels respectively

       Commands

       .F {font|path}[:charset] _f_o_n_t

       .C {color_name|0xRRGGBB} _c_o_l_o_r

       .S [+|-]size[p] _s_i_z_e

       .A {ll|lc|lr|cl|cc|cr|ul|uc|ur} _a_l_i_g_n

       .R [+|-]rotation[r] _r_o_t_a_t_i_o_n

       .X [+|-]x[%|p] _x_-_c_o_o_r_d

       .Y [+|-]y[%|p] _y_-_c_o_o_r_d

       .L {0|1} _l_i_n_e_f_e_e_d

       .E [+|-]east[%|p] _x_-_o_r_i_g_i_n

       .N [+|-]north[%|p] _y_-_o_r_i_g_i_n

       .. _d_o_t

       Example	 The   following   example   prints   three   lines:	"GRASS
       d.text.freetype	 output",   "See   test.input  file",  and  "for  more
       details.".

       dd..tteexxtt..ffrreeeettyyppee --cc
	      .L 0 GRASS d.text.freetype output See test.input file  for  more
	      details.


DDEEFFIINNIITTIIOONN FFIILLEE
       To  help  users	select fonts conveniently, the definition file, $(GIS-
       BASE)/etc/freetypecap, is provided.  Its format is as follows:

	    font:fontpath:charset:color:size:description
	    *default_font:fontpath:charset:color:size:description

       See the file for examples.

SSEEEE AALLSSOO
       _d_._t_e_x_t

       _d_._f_o_n_t

       _d_._t_i_t_l_e

       _s_h_o_w_._f_o_n_t_s_._s_h

       _p_a_r_s_e_r

AAUUTTHHOORR
       Huidae Cho grass@geni.cemtlo.com>

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_3_/_0_2_/_0_9 _1_2_:_0_7_:_2_3 _$



GRASS 5.0						    d.text.freetype(1)
